Bug 26634 - [noapic] Kernel Bug, 64bit slot, adaptec ctrlr, DL360
[noapic] Kernel Bug, 64bit slot, adaptec ctrlr, DL360
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-07 22:01 EST by Richard Black
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 19:15:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Black 2001-02-07 22:01:04 EST
Red Hat Linux Beta - beta3
Feb 7, 2001
Failing HW: DL360

Kernel Bug, 64bit slot, adaptec ctrlr, DL360, when installed in 64bit slot.

When installing on a DL360 with a Compaq UW SCSI controller (Adaptec 
chipset) installed in a 64bit slot the server generates the following 
error on the first reboot, after a successful install:

aic7xxx_abort returns 8194
kernel BUG at /usr/src/bs/BUILD/kernel-2.4.0/linux/include/asm/pci.h:61!
invalid operand 0000

When the controller is installed in a 32bit slot you do not get this error.

Duplicatable: Yes.

Compaq Bug #: 194235

Compaq consideres this defect a  MUST-FIX for Florence.
Comment 1 Michael Fulbright 2001-02-08 11:57:27 EST
Assigning to correct component.
Comment 2 Glen Foster 2001-02-08 18:43:28 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 3 Doug Ledford 2001-02-09 06:25:53 EST
The aic7xxx driver has been changed between beta 3 and current.  Please try with
the new aic7xxx driver (it can be identified by the version string, if you do a
cat of /proc/scsi/aic7xxx/0 the new driver version is 5.2.3 and the known broken
driver versions are 6.0.8BETA and possibly 6.1.0).  If the problem still exists,
then reopen this bug report.  Note, kernel builds 2.4.1-0.1 and later have the
5.2.3 driver in them.  Other kernels you will need to check individually to see
what aic7xxx driver is in them.  If it has one of the 6.x.x aic7xxx driver
versions, then you can load the aic7xxx_old module instead to get the 5.2.1
aic7xxx driver version.  The 5.2.1 driver is slightly outdated, but might work
where a 6.x.x driver does not.
Comment 4 Richard Black 2001-02-12 11:21:08 EST
Where can we get the driver to test with.
Comment 5 Bryan Leopard 2001-02-23 12:11:47 EST
I dont get a kernel panic now but i continually get scsi bus timeouts / resets 
testing on Red Hat 7.1 RC1.
Comment 6 Doug Ledford 2001-02-23 16:00:57 EST
What is a DL360?  Is it x86 or alpha or ia64?  If it's x86, then are you getting
continuous timeouts/resets during install or only after rebooting into the
installed system?
Comment 7 Bryan Leopard 2001-02-26 12:02:07 EST
a DL360 is an i386 system with a ROC chip installed (array controller down).  
The scsi bus resets happen after reboot.  It is ok during the install.
Comment 8 Doug Ledford 2001-02-26 13:33:39 EST
I'm assuming this is an SMP machine.  Try booting the newly installed system
with the option noapic.  Passing this option to the kernel command line will
change the IRQ routing of the system and from the sounds of it, that's what the
problem it.  If it starts working when you boot with this option, then the bug
is in the MP/ACPI parsing code and the IRQ routing table, not the aic7xxx
driver.
Comment 9 Richard Black 2001-03-14 12:54:25 EST
The following SCSI issues should prove to be dependent upon the APIC fix found 
in Linux Kernel 2.4.2-patch5.  These SCSI issues are being tested at this time, 
now that the latest beta seems to have the needed patch.

30170 - Full-Table-Mapped APIC mode causes a problem with installing Kernel 
Linux version 2.4.1-0.1.9smp or later.
26632 - Cannot install to a Compaq array controller - hang
26633 - SCSI Timeout Errors on NCR53c1510D / sym53c1510D
26634 - [aic7xxx] Kernel Bug, 64bit slot, adaptec ctrlr, DL360
Comment 10 Richard Black 2001-03-19 10:15:00 EST
qa0309 does not have the fix needed.  Drivers still error out (timeouts, 
hangs, ...)
Comment 11 Bryan Leopard 2001-03-22 19:15:17 EST
This information was already forwarded to RedHat.  Just wanted to update 
Bugzilla.

I think weve found the problem thats breaking SMP/APIC support on ServerWorks 
servers.
It appears that when the 2.4.0 kernel was released (on Jan. 4), that an old 
version of drivers/ide/osb4.c crept back in.  Whenever we build a kernel with 
this suspect version enabled, it breaks SMP APIC interrupts.
If you do a diff of osb4.c from 2.4.0-prerelease and 2.4.0, youll find a ton 
of changes.  Our guess is that its one of these changes (probably chipset 
initialization) thats breaking APIC support with SMP kernels.


Here is some more information from our developers.

The below fix works!

I see 2 basic ways for this bug to be fixed:

1) Make sure that the

CONFIG_BLK_DEV_OSB4

line in the kernel .config file is NOT set, or

2) Replace the osb4.c file with the osb4.c file from the 2.4.0-prerelease 
source tree.
  (this is probably a better solution)
Comment 12 Arjan van de Ven 2001-03-27 11:13:26 EST
This is fixed in our kernels as of version 2.4.2-0.1.35
If this or newer kernels don't solve the problem, please reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.